using APT.Infrastructure.Core;
using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Text;

namespace APT.BaseData.Domain.Entities.FM
{
    [Description("随手拍图片")]
    public class T_FM_SNAPSHOT_FILE : MesEntityBase
    {
        [Description("随手拍")]
        [DataFieldForeignKey("Nav_Snapshot", "Nav_Files")]
        public Guid SNAPSHOT_ID { get; set; }

        [Description("导航属性：随手拍")]
        public T_FM_SNAPSHOT Nav_Snapshot { get; set; }

        [Description("附件ID")]
        [DataFieldForeignKey("Nav_ImgFile")]
        public Guid? IMG_FILE_ID { get; set; }

        [Description("导航属性：附件")]
        public T_PF_IMG_FILE Nav_ImgFile { get; set; }
    }
}
